- Qt 5.5
- Qt3D Module
- C++ Classes
- ObjectLevelLockingPolicy
- Qt 5.5.1 Reference Documentation

# ObjectLevelLockingPolicy Class

(Qt3D::ObjectLevelLockingPolicy)

Provides locking access to a resource through the use of a QReadWriteLock. More...

Header: | #include <ObjectLevelLockingPolicy>
qmake: | QT += 3dcore
Since: | Qt 5.5

- List of all members, including inherited members

## Public Types

class | Locker

## Public Functions

| ObjectLevelLockingPolicy()

## Detailed Description

Provides locking access to a resource through the use of a QReadWriteLock.

This policy should be used in a QResourceManager when multiple threads may access the manager for read and write operations at the same time.

It provides two convenience classes WriteLocker and ReadLocker that behave like QReadLocker and QWriteLocker.

## Member Function Documentation

### ObjectLevelLockingPolicy::ObjectLevelLockingPolicy()